#include <stdio.h>
#include <string.h>
int main()
{
	int i,br;
	char T[200000];
	char S[10];
	gets(T);
	gets(S);
    while(T[i]!='\0')
    {
        if(strcmp(T,S)==0)
        {
            T[i]='*';
            br++;
        }
        i++;
    }
	printf("%s",T);
	printf("%d",br);
	return 0;
}